/*===========================================================================*/
/*   (Eval/evenv.scm)                                                        */
/*   Bigloo (4.7a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Feb 19 09:11:58 AM CET 2026     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.7a/bin/bigloo -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q -lib-dir /home/serrano/prgm/project/bigloo/4.7a/lib/bigloo/4.7a +rm -mklib -cc gcc -fsharing -q -no-hello -unsafe -safee -O4 -stdc -c Eval/evenv.scm -indent -o objs/obj_u/Eval/evenv.c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL___EVENV_TYPE_DEFINITIONS
#define BGL___EVENV_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_stackz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_stackz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_stackz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;


#endif													// BGL___EVENV_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	extern obj_t BGl_putpropz12z12zz__r4_symbols_6_4z00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62definezd2primopzd2refz12z70zz__evenvz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_initzd2thezd2globalzd2environmentz12zc0zz__evenvz00(void);
	extern obj_t BGl_z62evalzd2warningzb0zz__objectz00;
	static obj_t BGl_z62makezd2evalzd2globalz62zz__evenvz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62evalzd2globalzd2namez62zz__evenvz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__evenvz00 = BUNSPEC;
	static obj_t BGl_z62evalzd2globalzd2valuez62zz__evenvz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_definezd2primopzd2refzf2locz12ze0zz__evenvz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62definezd2primopz12za2zz__evenvz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62bindzd2evalzd2globalz12z70zz__evenvz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__evenvz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	static obj_t BGl_z62evalzd2globalzf3z43zz__evenvz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setzd2evalzd2globalzd2valuez12zc0zz__evenvz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_evalzd2lookupzd2zz__evenvz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_evalzd2globalzf3z21zz__evenvz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_evalzd2globalzd2valuez00zz__evenvz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_evalzd2globalzd2modulezd2setz12zc0zz__evenvz00(obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zz__evenvz00(void);
	static obj_t BGl_z62evalzd2globalzd2modulezd2setz12za2zz__evenvz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zz__evenvz00(void);
	static obj_t BGl_importedzd2moduleszd2initz00zz__evenvz00(void);
	static obj_t BGl_gczd2rootszd2initz00zz__evenvz00(void);
	BGL_EXPORTED_DECL obj_t BGl_bindzd2evalzd2globalz12z12zz__evenvz00(obj_t,
		obj_t);
	static obj_t BGl_objectzd2initzd2zz__evenvz00(void);
	BGL_EXPORTED_DECL obj_t BGl_evalzd2globalzd2modulez00zz__evenvz00(obj_t);
	static obj_t BGl_z62unbindzd2primopz12za2zz__evenvz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_definezd2primopz12zc0zz__evenvz00(obj_t, obj_t);
	extern obj_t BGl_getpropz00zz__r4_symbols_6_4z00(obj_t, obj_t);
	static obj_t BGl_z62evalzd2globalzd2tagzd2setz12za2zz__evenvz00(obj_t, obj_t,
		obj_t);
	extern obj_t bstring_to_symbol(obj_t);
	static obj_t BGl_z62evalzd2globalzd2modulez62zz__evenvz00(obj_t, obj_t);
	extern obj_t BGl_rempropz12z12zz__r4_symbols_6_4z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_makezd2evalzd2globalz00zz__evenvz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_evalzd2globalzd2namez00zz__evenvz00(obj_t);
	extern obj_t BGl_warningzd2notifyzd2zz__errorz00(obj_t);
	static obj_t BGl_methodzd2initzd2zz__evenvz00(void);
	BGL_EXPORTED_DECL obj_t BGl_evalzd2globalzd2tagzd2setz12zc0zz__evenvz00(obj_t,
		int);
	static obj_t BGl_z62definezd2primopzd2refzf2locz12z82zz__evenvz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62evalzd2lookupzb0zz__evenvz00(obj_t, obj_t);
	static obj_t BGl_symbol1645z00zz__evenvz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_evalzd2globalzd2locz00zz__evenvz00(obj_t);
	static obj_t BGl_z62evalzd2globalzd2locz62zz__evenvz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_definezd2primopzd2refz12z12zz__evenvz00(obj_t,
		obj_t);
	static obj_t BGl_symbol1650z00zz__evenvz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_unbindzd2primopz12zc0zz__evenvz00(obj_t);
	static obj_t BGl_symbol1655z00zz__evenvz00 = BUNSPEC;
	static obj_t
		BGl_z62initzd2thezd2globalzd2environmentz12za2zz__evenvz00(obj_t);
	static obj_t BGl_z62setzd2evalzd2globalzd2valuez12za2zz__evenvz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL int BGl_evalzd2globalzd2tagz00zz__evenvz00(obj_t);
	static obj_t BGl_z62evalzd2globalzd2tagz62zz__evenvz00(obj_t, obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_evalzd2globalzd2loczd2envzd2zz__evenvz00,
		BgL_bgl_za762evalza7d2global1670z00,
		BGl_z62evalzd2globalzd2locz62zz__evenvz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_evalzd2globalzd2modulezd2setz12zd2envz12zz__evenvz00,
		BgL_bgl_za762evalza7d2global1671z00,
		BGl_z62evalzd2globalzd2modulezd2setz12za2zz__evenvz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_unbindzd2primopz12zd2envz12zz__evenvz00,
		BgL_bgl_za762unbindza7d2prim1672z00,
		BGl_z62unbindzd2primopz12za2zz__evenvz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_evalzd2globalzd2valuezd2envzd2zz__evenvz00,
		BgL_bgl_za762evalza7d2global1673z00,
		BGl_z62evalzd2globalzd2valuez62zz__evenvz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_definezd2primopzd2refz12zd2envzc0zz__evenvz00,
		BgL_bgl_za762defineza7d2prim1674z00,
		BGl_z62definezd2primopzd2refz12z70zz__evenvz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_definezd2primopz12zd2envz12zz__evenvz00,
		BgL_bgl_za762defineza7d2prim1675z00,
		BGl_z62definezd2primopz12za2zz__evenvz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_evalzd2globalzf3zd2envzf3zz__evenvz00,
		BgL_bgl_za762evalza7d2global1676z00, BGl_z62evalzd2globalzf3z43zz__evenvz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bindzd2evalzd2globalz12zd2envzc0zz__evenvz00,
		BgL_bgl_za762bindza7d2evalza7d1677za7,
		BGl_z62bindzd2evalzd2globalz12z70zz__evenvz00, 0L, BUNSPEC, 2);
	      BGL_DEFINE_STRING(BGl_string1646z00zz__evenvz00,
		BgL_bgl_string1646za700za7za7_1678za7, "nothing", 7);
	      BGL_DEFINE_STRING(BGl_string1647z00zz__evenvz00,
		BgL_bgl_string1647za700za7za7_1679za7, "/tmp/bigloo/runtime/Eval/evenv.scm",
		34);
	      BGL_DEFINE_STRING(BGl_string1648z00zz__evenvz00,
		BgL_bgl_string1648za700za7za7_1680za7, "&make-eval-global", 17);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_evalzd2globalzd2namezd2envzd2zz__evenvz00,
		BgL_bgl_za762evalza7d2global1681z00,
		BGl_z62evalzd2globalzd2namez62zz__evenvz00, 0L, BUNSPEC, 1);
	      BGL_DEFINE_STRING(BGl_string1649z00zz__evenvz00,
		BgL_bgl_string1649za700za7za7_1682za7, "symbol", 6);
	      BGL_DEFINE_STRING(BGl_string1651z00zz__evenvz00,
		BgL_bgl_string1651za700za7za7_1683za7, "_0000", 5);
	      BGL_DEFINE_STRING(BGl_string1652z00zz__evenvz00,
		BgL_bgl_string1652za700za7za7_1684za7, "&bind-eval-global!", 18);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_evalzd2globalzd2tagzd2envzd2zz__evenvz00,
		BgL_bgl_za762evalza7d2global1685z00,
		BGl_z62evalzd2globalzd2tagz62zz__evenvz00, 0L, BUNSPEC, 1);
	      BGL_DEFINE_STRING(BGl_string1653z00zz__evenvz00,
		BgL_bgl_string1653za700za7za7_1686za7, "vector", 6);
	      BGL_DEFINE_STRING(BGl_string1654z00zz__evenvz00,
		BgL_bgl_string1654za700za7za7_1687za7, "&unbind-primop!", 15);
	      BGL_DEFINE_STRING(BGl_string1656z00zz__evenvz00,
		BgL_bgl_string1656za700za7za7_1688za7, "_0000_assert", 12);
	      BGL_DEFINE_STRING(BGl_string1657z00zz__evenvz00,
		BgL_bgl_string1657za700za7za7_1689za7, "&define-primop!", 15);
	      BGL_DEFINE_STRING(BGl_string1658z00zz__evenvz00,
		BgL_bgl_string1658za700za7za7_1690za7, "overriding compiled constant", 28);
	      BGL_DEFINE_STRING(BGl_string1659z00zz__evenvz00,
		BgL_bgl_string1659za700za7za7_1691za7, "&define-primop-ref!", 19);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_evalzd2globalzd2modulezd2envzd2zz__evenvz00,
		BgL_bgl_za762evalza7d2global1692z00,
		BGl_z62evalzd2globalzd2modulez62zz__evenvz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_initzd2thezd2globalzd2environmentz12zd2envz12zz__evenvz00,
		BgL_bgl_za762initza7d2theza7d21693za7,
		BGl_z62initzd2thezd2globalzd2environmentz12za2zz__evenvz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setzd2evalzd2globalzd2valuez12zd2envz12zz__evenvz00,
		BgL_bgl_za762setza7d2evalza7d21694za7,
		BGl_z62setzd2evalzd2globalzd2valuez12za2zz__evenvz00, 0L, BUNSPEC, 2);
	      BGL_DEFINE_STRING(BGl_string1660z00zz__evenvz00,
		BgL_bgl_string1660za700za7za7_1695za7, "&define-primop-ref/loc!", 23);
	      BGL_DEFINE_STRING(BGl_string1661z00zz__evenvz00,
		BgL_bgl_string1661za700za7za7_1696za7, "&eval-lookup", 12);
	      BGL_DEFINE_STRING(BGl_string1662z00zz__evenvz00,
		BgL_bgl_string1662za700za7za7_1697za7, "&eval-global-tag", 16);
	      BGL_DEFINE_STRING(BGl_string1663z00zz__evenvz00,
		BgL_bgl_string1663za700za7za7_1698za7, "&eval-global-tag-set!", 21);
	      BGL_DEFINE_STRING(BGl_string1664z00zz__evenvz00,
		BgL_bgl_string1664za700za7za7_1699za7, "bint", 4);
	      BGL_DEFINE_STRING(BGl_string1665z00zz__evenvz00,
		BgL_bgl_string1665za700za7za7_1700za7, "&eval-global-name", 17);
	      BGL_DEFINE_STRING(BGl_string1666z00zz__evenvz00,
		BgL_bgl_string1666za700za7za7_1701za7, "&eval-global-value", 18);
	      BGL_DEFINE_STRING(BGl_string1667z00zz__evenvz00,
		BgL_bgl_string1667za700za7za7_1702za7, "&set-eval-global-value!", 23);
	      BGL_DEFINE_STRING(BGl_string1668z00zz__evenvz00,
		BgL_bgl_string1668za700za7za7_1703za7, "&eval-global-module-set!", 24);
	      BGL_DEFINE_STRING(BGl_string1669z00zz__evenvz00,
		BgL_bgl_string1669za700za7za7_1704za7, "__evenv", 7);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_definezd2primopzd2refzf2locz12zd2envz32zz__evenvz00,
		BgL_bgl_za762defineza7d2prim1705z00,
		BGl_z62definezd2primopzd2refzf2locz12z82zz__evenvz00, 0L, BUNSPEC, 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2evalzd2globalzd2envzd2zz__evenvz00,
		BgL_bgl_za762makeza7d2evalza7d1706za7,
		BGl_z62makezd2evalzd2globalz62zz__evenvz00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_evalzd2globalzd2tagzd2setz12zd2envz12zz__evenvz00,
		BgL_bgl_za762evalza7d2global1707z00,
		BGl_z62evalzd2globalzd2tagzd2setz12za2zz__evenvz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_evalzd2lookupzd2envz00zz__evenvz00,
		BgL_bgl_za762evalza7d2lookup1708z00, BGl_z62evalzd2lookupzb0zz__evenvz00,
		0L, BUNSPEC, 1);

/* contant bindings */
	static void bgl_constant_bindings()
	{
		BGL_BIND_PROCEDURE(BGl_evalzd2lookupzd2envz00zz__evenvz00,
			BgL_bgl_za762evalza7d2lookup1708z00);
		BGL_BIND_PROCEDURE(BGl_evalzd2globalzd2tagzd2setz12zd2envz12zz__evenvz00,
			BgL_bgl_za762evalza7d2global1707z00);
		BGL_BIND_PROCEDURE(BGl_makezd2evalzd2globalzd2envzd2zz__evenvz00,
			BgL_bgl_za762makeza7d2evalza7d1706za7);
		BGL_BIND_PROCEDURE(BGl_definezd2primopzd2refzf2locz12zd2envz32zz__evenvz00,
			BgL_bgl_za762defineza7d2prim1705z00);
		BGL_BIND_STRING(BGl_string1669z00zz__evenvz00,
			BgL_bgl_string1669za700za7za7_1704za7);
		BGL_BIND_STRING(BGl_string1668z00zz__evenvz00,
			BgL_bgl_string1668za700za7za7_1703za7);
		BGL_BIND_STRING(BGl_string1667z00zz__evenvz00,
			BgL_bgl_string1667za700za7za7_1702za7);
		BGL_BIND_STRING(BGl_string1666z00zz__evenvz00,
			BgL_bgl_string1666za700za7za7_1701za7);
		BGL_BIND_STRING(BGl_string1665z00zz__evenvz00,
			BgL_bgl_string1665za700za7za7_1700za7);
		BGL_BIND_STRING(BGl_string1664z00zz__evenvz00,
			BgL_bgl_string1664za700za7za7_1699za7);
		BGL_BIND_STRING(BGl_string1663z00zz__evenvz00,
			BgL_bgl_string1663za700za7za7_1698za7);
		BGL_BIND_STRING(BGl_string1662z00zz__evenvz00,
			BgL_bgl_string1662za700za7za7_1697za7);
		BGL_BIND_STRING(BGl_string1661z00zz__evenvz00,
			BgL_bgl_string1661za700za7za7_1696za7);
		BGL_BIND_STRING(BGl_string1660z00zz__evenvz00,
			BgL_bgl_string1660za700za7za7_1695za7);
		BGL_BIND_PROCEDURE(BGl_setzd2evalzd2globalzd2valuez12zd2envz12zz__evenvz00,
			BgL_bgl_za762setza7d2evalza7d21694za7);
		BGL_BIND_PROCEDURE
			(BGl_initzd2thezd2globalzd2environmentz12zd2envz12zz__evenvz00,
			BgL_bgl_za762initza7d2theza7d21693za7);
		BGL_BIND_PROCEDURE(BGl_evalzd2globalzd2modulezd2envzd2zz__evenvz00,
			BgL_bgl_za762evalza7d2global1692z00);
		BGL_BIND_STRING(BGl_string1659z00zz__evenvz00,
			BgL_bgl_string1659za700za7za7_1691za7);
		BGL_BIND_STRING(BGl_string1658z00zz__evenvz00,
			BgL_bgl_string1658za700za7za7_1690za7);
		BGL_BIND_STRING(BGl_string1657z00zz__evenvz00,
			BgL_bgl_string1657za700za7za7_1689za7);
		BGL_BIND_STRING(BGl_string1656z00zz__evenvz00,
			BgL_bgl_string1656za700za7za7_1688za7);
		BGL_BIND_STRING(BGl_string1654z00zz__evenvz00,
			BgL_bgl_string1654za700za7za7_1687za7);
		BGL_BIND_STRING(BGl_string1653z00zz__evenvz00,
			BgL_bgl_string1653za700za7za7_1686za7);
		BGL_BIND_PROCEDURE(BGl_evalzd2globalzd2tagzd2envzd2zz__evenvz00,
			BgL_bgl_za762evalza7d2global1685z00);
		BGL_BIND_STRING(BGl_string1652z00zz__evenvz00,
			BgL_bgl_string1652za700za7za7_1684za7);
		BGL_BIND_STRING(BGl_string1651z00zz__evenvz00,
			BgL_bgl_string1651za700za7za7_1683za7);
		BGL_BIND_STRING(BGl_string1649z00zz__evenvz00,
			BgL_bgl_string1649za700za7za7_1682za7);
		BGL_BIND_PROCEDURE(BGl_evalzd2globalzd2namezd2envzd2zz__evenvz00,
			BgL_bgl_za762evalza7d2global1681z00);
		BGL_BIND_STRING(BGl_string1648z00zz__evenvz00,
			BgL_bgl_string1648za700za7za7_1680za7);
		BGL_BIND_STRING(BGl_string1647z00zz__evenvz00,
			BgL_bgl_string1647za700za7za7_1679za7);
		BGL_BIND_STRING(BGl_string1646z00zz__evenvz00,
			BgL_bgl_string1646za700za7za7_1678za7);
		BGL_BIND_PROCEDURE(BGl_bindzd2evalzd2globalz12zd2envzc0zz__evenvz00,
			BgL_bgl_za762bindza7d2evalza7d1677za7);
		BGL_BIND_PROCEDURE(BGl_evalzd2globalzf3zd2envzf3zz__evenvz00,
			BgL_bgl_za762evalza7d2global1676z00);
		BGL_BIND_PROCEDURE(BGl_definezd2primopz12zd2envz12zz__evenvz00,
			BgL_bgl_za762defineza7d2prim1675z00);
		BGL_BIND_PROCEDURE(BGl_definezd2primopzd2refz12zd2envzc0zz__evenvz00,
			BgL_bgl_za762defineza7d2prim1674z00);
		BGL_BIND_PROCEDURE(BGl_evalzd2globalzd2valuezd2envzd2zz__evenvz00,
			BgL_bgl_za762evalza7d2global1673z00);
		BGL_BIND_PROCEDURE(BGl_unbindzd2primopz12zd2envz12zz__evenvz00,
			BgL_bgl_za762unbindza7d2prim1672z00);
		BGL_BIND_PROCEDURE(BGl_evalzd2globalzd2modulezd2setz12zd2envz12zz__evenvz00,
			BgL_bgl_za762evalza7d2global1671z00);
		BGL_BIND_PROCEDURE(BGl_evalzd2globalzd2loczd2envzd2zz__evenvz00,
			BgL_bgl_za762evalza7d2global1670z00);
	}

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;

		ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zz__evenvz00));
		ADD_ROOT((void *) (&BGl_symbol1645z00zz__evenvz00));
		ADD_ROOT((void *) (&BGl_symbol1650z00zz__evenvz00));
		ADD_ROOT((void *) (&BGl_symbol1655z00zz__evenvz00));
#undef ADD_ROOT
		if (roots_max > 0)
			GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__evenvz00(long
		BgL_checksumz00_1921, char *BgL_fromz00_1922)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__evenvz00))
				{
					BGl_requirezd2initializa7ationz75zz__evenvz00 = BBOOL(((bool_t) 0));
					bgl_constant_bindings();
					BGl_gczd2rootszd2initz00zz__evenvz00();
					BGl_cnstzd2initzd2zz__evenvz00();
					BGl_importedzd2moduleszd2initz00zz__evenvz00();
					return BGl_methodzd2initzd2zz__evenvz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__evenvz00(void)
	{
		{	/* Eval/evenv.scm 14 */
			BGl_symbol1645z00zz__evenvz00 =
				bstring_to_symbol(BGl_string1646z00zz__evenvz00);
			BGl_symbol1650z00zz__evenvz00 =
				bstring_to_symbol(BGl_string1651z00zz__evenvz00);
			return (BGl_symbol1655z00zz__evenvz00 =
				bstring_to_symbol(BGl_string1656z00zz__evenvz00), BUNSPEC);
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zz__evenvz00(void)
	{
		{	/* Eval/evenv.scm 14 */
			return bgl_gc_roots_register();
		}

	}



/* init-the-global-environment! */
	BGL_EXPORTED_DEF obj_t
		BGl_initzd2thezd2globalzd2environmentz12zc0zz__evenvz00(void)
	{
		{	/* Eval/evenv.scm 87 */
			return BGl_symbol1645z00zz__evenvz00;
		}

	}



/* &init-the-global-environment! */
	obj_t BGl_z62initzd2thezd2globalzd2environmentz12za2zz__evenvz00(obj_t
		BgL_envz00_1844)
	{
		{	/* Eval/evenv.scm 87 */
			return BGl_initzd2thezd2globalzd2environmentz12zc0zz__evenvz00();
		}

	}



/* eval-global? */
	BGL_EXPORTED_DEF obj_t BGl_evalzd2globalzf3z21zz__evenvz00(obj_t
		BgL_variablez00_3)
	{
		{	/* Eval/evenv.scm 107 */
			if (VECTORP(BgL_variablez00_3))
				{	/* Eval/evenv.scm 108 */
					return BBOOL((VECTOR_LENGTH(BgL_variablez00_3) == 5L));
				}
			else
				{	/* Eval/evenv.scm 108 */
					return BFALSE;
				}
		}

	}



/* &eval-global? */
	obj_t BGl_z62evalzd2globalzf3z43zz__evenvz00(obj_t BgL_envz00_1845,
		obj_t BgL_variablez00_1846)
	{
		{	/* Eval/evenv.scm 107 */
			return BGl_evalzd2globalzf3z21zz__evenvz00(BgL_variablez00_1846);
		}

	}



/* make-eval-global */
	BGL_EXPORTED_DEF obj_t BGl_makezd2evalzd2globalz00zz__evenvz00(obj_t
		BgL_idz00_4, obj_t BgL_modz00_5, obj_t BgL_locz00_6)
	{
		{	/* Eval/evenv.scm 115 */
			{	/* Eval/evenv.scm 116 */
				obj_t BgL_v1084z00_1920;

				BgL_v1084z00_1920 = create_vector(5L);
				VECTOR_SET(BgL_v1084z00_1920, 0L, BINT(2L));
				VECTOR_SET(BgL_v1084z00_1920, 1L, BgL_idz00_4);
				VECTOR_SET(BgL_v1084z00_1920, 2L, BUNSPEC);
				VECTOR_SET(BgL_v1084z00_1920, 3L, BgL_modz00_5);
				VECTOR_SET(BgL_v1084z00_1920, 4L, BgL_locz00_6);
				return BgL_v1084z00_1920;
			}
		}

	}



/* &make-eval-global */
	obj_t BGl_z62makezd2evalzd2globalz62zz__evenvz00(obj_t BgL_envz00_1847,
		obj_t BgL_idz00_1848, obj_t BgL_modz00_1849, obj_t BgL_locz00_1850)
	{
		{	/* Eval/evenv.scm 115 */
			{	/* Eval/evenv.scm 116 */
				obj_t BgL_auxz00_1949;

				if (SYMBOLP(BgL_idz00_1848))
					{	/* Eval/evenv.scm 116 */
						BgL_auxz00_1949 = BgL_idz00_1848;
					}
				else
					{
						obj_t BgL_auxz00_1952;

						BgL_auxz00_1952 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1647z00zz__evenvz00,
							BINT(5032L), BGl_string1648z00zz__evenvz00,
							BGl_string1649z00zz__evenvz00, BgL_idz00_1848);
						FAILURE(BgL_auxz00_1952, BFALSE, BFALSE);
					}
				return
					BGl_makezd2evalzd2globalz00zz__evenvz00(BgL_auxz00_1949,
					BgL_modz00_1849, BgL_locz00_1850);
			}
		}

	}



/* bind-eval-global! */
	BGL_EXPORTED_DEF obj_t BGl_bindzd2evalzd2globalz12z12zz__evenvz00(obj_t
		BgL_namez00_7, obj_t BgL_varz00_8)
	{
		{	/* Eval/evenv.scm 121 */
			return
				BGl_putpropz12z12zz__r4_symbols_6_4z00(BgL_namez00_7,
				BGl_symbol1650z00zz__evenvz00, BgL_varz00_8);
		}

	}



/* &bind-eval-global! */
	obj_t BGl_z62bindzd2evalzd2globalz12z70zz__evenvz00(obj_t BgL_envz00_1851,
		obj_t BgL_namez00_1852, obj_t BgL_varz00_1853)
	{
		{	/* Eval/evenv.scm 121 */
			{	/* Eval/evenv.scm 122 */
				obj_t BgL_auxz00_1965;
				obj_t BgL_auxz00_1958;

				if (VECTORP(BgL_varz00_1853))
					{	/* Eval/evenv.scm 122 */
						BgL_auxz00_1965 = BgL_varz00_1853;
					}
				else
					{
						obj_t BgL_auxz00_1968;

						BgL_auxz00_1968 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1647z00zz__evenvz00,
							BINT(5331L), BGl_string1652z00zz__evenvz00,
							BGl_string1653z00zz__evenvz00, BgL_varz00_1853);
						FAILURE(BgL_auxz00_1968, BFALSE, BFALSE);
					}
				if (SYMBOLP(BgL_namez00_1852))
					{	/* Eval/evenv.scm 122 */
						BgL_auxz00_1958 = BgL_namez00_1852;
					}
				else
					{
						obj_t BgL_auxz00_1961;

						BgL_auxz00_1961 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1647z00zz__evenvz00,
							BINT(5331L), BGl_string1652z00zz__evenvz00,
							BGl_string1649z00zz__evenvz00, BgL_namez00_1852);
						FAILURE(BgL_auxz00_1961, BFALSE, BFALSE);
					}
				return
					BGl_bindzd2evalzd2globalz12z12zz__evenvz00(BgL_auxz00_1958,
					BgL_auxz00_1965);
			}
		}

	}



/* unbind-primop! */
	BGL_EXPORTED_DEF obj_t BGl_unbindzd2primopz12zc0zz__evenvz00(obj_t
		BgL_namez00_11)
	{
		{	/* Eval/evenv.scm 133 */
			return
				BGl_rempropz12z12zz__r4_symbols_6_4z00(BgL_namez00_11,
				BGl_symbol1650z00zz__evenvz00);
		}

	}



/* &unbind-primop! */
	obj_t BGl_z62unbindzd2primopz12za2zz__evenvz00(obj_t BgL_envz00_1854,
		obj_t BgL_namez00_1855)
	{
		{	/* Eval/evenv.scm 133 */
			{	/* Eval/evenv.scm 134 */
				obj_t BgL_auxz00_1974;

				if (SYMBOLP(BgL_namez00_1855))
					{	/* Eval/evenv.scm 134 */
						BgL_auxz00_1974 = BgL_namez00_1855;
					}
				else
					{
						obj_t BgL_auxz00_1977;

						BgL_auxz00_1977 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1647z00zz__evenvz00,
							BINT(5920L), BGl_string1654z00zz__evenvz00,
							BGl_string1649z00zz__evenvz00, BgL_namez00_1855);
						FAILURE(BgL_auxz00_1977, BFALSE, BFALSE);
					}
				return BGl_unbindzd2primopz12zc0zz__evenvz00(BgL_auxz00_1974);
			}
		}

	}



/* define-primop! */
	BGL_EXPORTED_DEF obj_t BGl_definezd2primopz12zc0zz__evenvz00(obj_t
		BgL_varz00_13, obj_t BgL_valz00_14)
	{
		{	/* Eval/evenv.scm 145 */
			{	/* Eval/evenv.scm 146 */
				obj_t BgL_cellz00_1149;

				{	/* Eval/evenv.scm 195 */
					obj_t BgL_propz00_1603;

					BgL_propz00_1603 =
						BGl_getpropz00zz__r4_symbols_6_4z00(BgL_varz00_13,
						BGl_symbol1655z00zz__evenvz00);
					if (CBOOL(BgL_propz00_1603))
						{	/* Eval/evenv.scm 196 */
							BgL_cellz00_1149 = BgL_propz00_1603;
						}
					else
						{	/* Eval/evenv.scm 198 */
							obj_t BgL_propz00_1604;

							BgL_propz00_1604 =
								BGl_getpropz00zz__r4_symbols_6_4z00(BgL_varz00_13,
								BGl_symbol1650z00zz__evenvz00);
							if (CBOOL(BgL_propz00_1604))
								{	/* Eval/evenv.scm 199 */
									BgL_cellz00_1149 = BgL_propz00_1604;
								}
							else
								{	/* Eval/evenv.scm 199 */
									BgL_cellz00_1149 = BFALSE;
								}
						}
				}
				{	/* Eval/evenv.scm 147 */
					bool_t BgL_test1717z00_1988;

					if (VECTORP(BgL_cellz00_1149))
						{	/* Eval/evenv.scm 108 */
							BgL_test1717z00_1988 = (VECTOR_LENGTH(BgL_cellz00_1149) == 5L);
						}
					else
						{	/* Eval/evenv.scm 108 */
							BgL_test1717z00_1988 = ((bool_t) 0);
						}
					if (BgL_test1717z00_1988)
						{	/* Eval/evenv.scm 147 */
							return VECTOR_SET(BgL_cellz00_1149, 2L, BgL_valz00_14);
						}
					else
						{	/* Eval/evenv.scm 148 */
							obj_t BgL_arg1189z00_1151;

							{	/* Eval/evenv.scm 148 */
								obj_t BgL_v1085z00_1152;

								BgL_v1085z00_1152 = create_vector(5L);
								VECTOR_SET(BgL_v1085z00_1152, 0L, BINT(0L));
								VECTOR_SET(BgL_v1085z00_1152, 1L, BgL_varz00_13);
								VECTOR_SET(BgL_v1085z00_1152, 2L, BgL_valz00_14);
								VECTOR_SET(BgL_v1085z00_1152, 3L, BFALSE);
								VECTOR_SET(BgL_v1085z00_1152, 4L, BFALSE);
								BgL_arg1189z00_1151 = BgL_v1085z00_1152;
							}
							return
								BGl_putpropz12z12zz__r4_symbols_6_4z00(BgL_varz00_13,
								BGl_symbol1650z00zz__evenvz00, BgL_arg1189z00_1151);
						}
				}
			}
		}

	}



/* &define-primop! */
	obj_t BGl_z62definezd2primopz12za2zz__evenvz00(obj_t BgL_envz00_1856,
		obj_t BgL_varz00_1857, obj_t BgL_valz00_1858)
	{
		{	/* Eval/evenv.scm 145 */
			{	/* Eval/evenv.scm 146 */
				obj_t BgL_auxz00_2002;

				if (SYMBOLP(BgL_varz00_1857))
					{	/* Eval/evenv.scm 146 */
						BgL_auxz00_2002 = BgL_varz00_1857;
					}
				else
					{
						obj_t BgL_auxz00_2005;

						BgL_auxz00_2005 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1647z00zz__evenvz00,
							BINT(6497L), BGl_string1657z00zz__evenvz00,
							BGl_string1649z00zz__evenvz00, BgL_varz00_1857);
						FAILURE(BgL_auxz00_2005, BFALSE, BFALSE);
					}
				return
					BGl_definezd2primopz12zc0zz__evenvz00(BgL_auxz00_2002,
					BgL_valz00_1858);
			}
		}

	}



/* define-primop-ref! */
	BGL_EXPORTED_DEF obj_t BGl_definezd2primopzd2refz12z12zz__evenvz00(obj_t
		BgL_varz00_15, obj_t BgL_addrz00_16)
	{
		{	/* Eval/evenv.scm 154 */
			{	/* Eval/evenv.scm 155 */
				obj_t BgL_cellz00_1153;

				{	/* Eval/evenv.scm 195 */
					obj_t BgL_propz00_1619;

					BgL_propz00_1619 =
						BGl_getpropz00zz__r4_symbols_6_4z00(BgL_varz00_15,
						BGl_symbol1655z00zz__evenvz00);
					if (CBOOL(BgL_propz00_1619))
						{	/* Eval/evenv.scm 196 */
							BgL_cellz00_1153 = BgL_propz00_1619;
						}
					else
						{	/* Eval/evenv.scm 198 */
							obj_t BgL_propz00_1620;

							BgL_propz00_1620 =
								BGl_getpropz00zz__r4_symbols_6_4z00(BgL_varz00_15,
								BGl_symbol1650z00zz__evenvz00);
							if (CBOOL(BgL_propz00_1620))
								{	/* Eval/evenv.scm 199 */
									BgL_cellz00_1153 = BgL_propz00_1620;
								}
							else
								{	/* Eval/evenv.scm 199 */
									BgL_cellz00_1153 = BFALSE;
								}
						}
				}
				{	/* Eval/evenv.scm 156 */
					bool_t BgL_test1722z00_2016;

					if (VECTORP(BgL_cellz00_1153))
						{	/* Eval/evenv.scm 108 */
							BgL_test1722z00_2016 = (VECTOR_LENGTH(BgL_cellz00_1153) == 5L);
						}
					else
						{	/* Eval/evenv.scm 108 */
							BgL_test1722z00_2016 = ((bool_t) 0);
						}
					if (BgL_test1722z00_2016)
						{	/* Eval/evenv.scm 156 */
							VECTOR_SET(BgL_cellz00_1153, 2L, BgL_addrz00_16);
							{	/* Eval/evenv.scm 162 */
								BgL_z62evalzd2warningzb0_bglt BgL_arg1192z00_1155;

								{	/* Eval/evenv.scm 162 */
									BgL_z62evalzd2warningzb0_bglt BgL_new1040z00_1156;

									{	/* Eval/evenv.scm 163 */
										BgL_z62evalzd2warningzb0_bglt BgL_new1039z00_1159;

										BgL_new1039z00_1159 =
											((BgL_z62evalzd2warningzb0_bglt)
											BOBJECT(GC_MALLOC(sizeof(struct
														BgL_z62evalzd2warningzb0_bgl))));
										{	/* Eval/evenv.scm 163 */
											long BgL_arg1195z00_1160;

											BgL_arg1195z00_1160 =
												BGL_CLASS_NUM(BGl_z62evalzd2warningzb0zz__objectz00);
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt) BgL_new1039z00_1159),
												BgL_arg1195z00_1160);
										}
										BgL_new1040z00_1156 = BgL_new1039z00_1159;
									}
									((((BgL_z62exceptionz62_bglt) COBJECT(
													((BgL_z62exceptionz62_bglt) BgL_new1040z00_1156)))->
											BgL_fnamez00) = ((obj_t) BFALSE), BUNSPEC);
									((((BgL_z62exceptionz62_bglt)
												COBJECT(((BgL_z62exceptionz62_bglt)
														BgL_new1040z00_1156)))->BgL_locationz00) =
										((obj_t) BFALSE), BUNSPEC);
									((((BgL_z62exceptionz62_bglt)
												COBJECT(((BgL_z62exceptionz62_bglt)
														BgL_new1040z00_1156)))->BgL_stackz00) =
										((obj_t) BFALSE), BUNSPEC);
									{
										obj_t BgL_auxz00_2032;

										{	/* Eval/evenv.scm 166 */
											obj_t BgL_list1193z00_1157;

											{	/* Eval/evenv.scm 166 */
												obj_t BgL_arg1194z00_1158;

												BgL_arg1194z00_1158 =
													MAKE_YOUNG_PAIR(BgL_varz00_15, BNIL);
												BgL_list1193z00_1157 =
													MAKE_YOUNG_PAIR(BGl_string1658z00zz__evenvz00,
													BgL_arg1194z00_1158);
											}
											BgL_auxz00_2032 = BgL_list1193z00_1157;
										}
										((((BgL_z62warningz62_bglt) COBJECT(
														((BgL_z62warningz62_bglt) BgL_new1040z00_1156)))->
												BgL_argsz00) = ((obj_t) BgL_auxz00_2032), BUNSPEC);
									}
									BgL_arg1192z00_1155 = BgL_new1040z00_1156;
								}
								return
									BGl_warningzd2notifyzd2zz__errorz00(
									((obj_t) BgL_arg1192z00_1155));
							}
						}
					else
						{	/* Eval/evenv.scm 157 */
							obj_t BgL_arg1196z00_1161;

							{	/* Eval/evenv.scm 157 */
								obj_t BgL_v1086z00_1162;

								BgL_v1086z00_1162 = create_vector(5L);
								VECTOR_SET(BgL_v1086z00_1162, 0L, BINT(1L));
								VECTOR_SET(BgL_v1086z00_1162, 1L, BgL_varz00_15);
								VECTOR_SET(BgL_v1086z00_1162, 2L, BgL_addrz00_16);
								VECTOR_SET(BgL_v1086z00_1162, 3L, BFALSE);
								VECTOR_SET(BgL_v1086z00_1162, 4L, BFALSE);
								BgL_arg1196z00_1161 = BgL_v1086z00_1162;
							}
							return
								BGl_putpropz12z12zz__r4_symbols_6_4z00(BgL_varz00_15,
								BGl_symbol1650z00zz__evenvz00, BgL_arg1196z00_1161);
						}
				}
			}
		}

	}



/* &define-primop-ref! */
	obj_t BGl_z62definezd2primopzd2refz12z70zz__evenvz00(obj_t BgL_envz00_1859,
		obj_t BgL_varz00_1860, obj_t BgL_addrz00_1861)
	{
		{	/* Eval/evenv.scm 154 */
			{	/* Eval/evenv.scm 155 */
				obj_t BgL_auxz00_2047;

				if (SYMBOLP(BgL_varz00_1860))
					{	/* Eval/evenv.scm 155 */
						BgL_auxz00_2047 = BgL_varz00_1860;
					}
				else
					{
						obj_t BgL_auxz00_2050;

						BgL_auxz00_2050 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1647z00zz__evenvz00,
							BINT(6921L), BGl_string1659z00zz__evenvz00,
							BGl_string1649z00zz__evenvz00, BgL_varz00_1860);
						FAILURE(BgL_auxz00_2050, BFALSE, BFALSE);
					}
				return
					BGl_definezd2primopzd2refz12z12zz__evenvz00(BgL_auxz00_2047,
					BgL_addrz00_1861);
			}
		}

	}



/* define-primop-ref/loc! */
	BGL_EXPORTED_DEF obj_t BGl_definezd2primopzd2refzf2locz12ze0zz__evenvz00(obj_t
		BgL_varz00_17, obj_t BgL_addrz00_18, obj_t BgL_fnamez00_19,
		obj_t BgL_locationz00_20)
	{
		{	/* Eval/evenv.scm 171 */
			{	/* Eval/evenv.scm 172 */
				obj_t BgL_cellz00_1163;

				{	/* Eval/evenv.scm 195 */
					obj_t BgL_propz00_1639;

					BgL_propz00_1639 =
						BGl_getpropz00zz__r4_symbols_6_4z00(BgL_varz00_17,
						BGl_symbol1655z00zz__evenvz00);
					if (CBOOL(BgL_propz00_1639))
						{	/* Eval/evenv.scm 196 */
							BgL_cellz00_1163 = BgL_propz00_1639;
						}
					else
						{	/* Eval/evenv.scm 198 */
							obj_t BgL_propz00_1640;

							BgL_propz00_1640 =
								BGl_getpropz00zz__r4_symbols_6_4z00(BgL_varz00_17,
								BGl_symbol1650z00zz__evenvz00);
							if (CBOOL(BgL_propz00_1640))
								{	/* Eval/evenv.scm 199 */
									BgL_cellz00_1163 = BgL_propz00_1640;
								}
							else
								{	/* Eval/evenv.scm 199 */
									BgL_cellz00_1163 = BFALSE;
								}
						}
				}
				{	/* Eval/evenv.scm 173 */
					bool_t BgL_test1727z00_2061;

					if (VECTORP(BgL_cellz00_1163))
						{	/* Eval/evenv.scm 108 */
							BgL_test1727z00_2061 = (VECTOR_LENGTH(BgL_cellz00_1163) == 5L);
						}
					else
						{	/* Eval/evenv.scm 108 */
							BgL_test1727z00_2061 = ((bool_t) 0);
						}
					if (BgL_test1727z00_2061)
						{	/* Eval/evenv.scm 173 */
							VECTOR_SET(BgL_cellz00_1163, 2L, BgL_addrz00_18);
							{	/* Eval/evenv.scm 179 */
								BgL_z62evalzd2warningzb0_bglt BgL_arg1201z00_1165;

								{	/* Eval/evenv.scm 179 */
									BgL_z62evalzd2warningzb0_bglt BgL_new1042z00_1166;

									{	/* Eval/evenv.scm 180 */
										BgL_z62evalzd2warningzb0_bglt BgL_new1041z00_1169;

										BgL_new1041z00_1169 =
											((BgL_z62evalzd2warningzb0_bglt)
											BOBJECT(GC_MALLOC(sizeof(struct
														BgL_z62evalzd2warningzb0_bgl))));
										{	/* Eval/evenv.scm 180 */
											long BgL_arg1206z00_1170;

											BgL_arg1206z00_1170 =
												BGL_CLASS_NUM(BGl_z62evalzd2warningzb0zz__objectz00);
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt) BgL_new1041z00_1169),
												BgL_arg1206z00_1170);
										}
										BgL_new1042z00_1166 = BgL_new1041z00_1169;
									}
									((((BgL_z62exceptionz62_bglt) COBJECT(
													((BgL_z62exceptionz62_bglt) BgL_new1042z00_1166)))->
											BgL_fnamez00) = ((obj_t) BgL_fnamez00_19), BUNSPEC);
									((((BgL_z62exceptionz62_bglt)
												COBJECT(((BgL_z62exceptionz62_bglt)
														BgL_new1042z00_1166)))->BgL_locationz00) =
										((obj_t) BgL_locationz00_20), BUNSPEC);
									((((BgL_z62exceptionz62_bglt)
												COBJECT(((BgL_z62exceptionz62_bglt)
														BgL_new1042z00_1166)))->BgL_stackz00) =
										((obj_t) BFALSE), BUNSPEC);
									{
										obj_t BgL_auxz00_2077;

										{	/* Eval/evenv.scm 183 */
											obj_t BgL_list1202z00_1167;

											{	/* Eval/evenv.scm 183 */
												obj_t BgL_arg1203z00_1168;

												BgL_arg1203z00_1168 =
													MAKE_YOUNG_PAIR(BgL_varz00_17, BNIL);
												BgL_list1202z00_1167 =
													MAKE_YOUNG_PAIR(BGl_string1658z00zz__evenvz00,
													BgL_arg1203z00_1168);
											}
											BgL_auxz00_2077 = BgL_list1202z00_1167;
										}
										((((BgL_z62warningz62_bglt) COBJECT(
														((BgL_z62warningz62_bglt) BgL_new1042z00_1166)))->
												BgL_argsz00) = ((obj_t) BgL_auxz00_2077), BUNSPEC);
									}
									BgL_arg1201z00_1165 = BgL_new1042z00_1166;
								}
								return
									BGl_warningzd2notifyzd2zz__errorz00(
									((obj_t) BgL_arg1201z00_1165));
							}
						}
					else
						{	/* Eval/evenv.scm 174 */
							obj_t BgL_arg1207z00_1171;

							{	/* Eval/evenv.scm 174 */
								obj_t BgL_v1087z00_1172;

								BgL_v1087z00_1172 = create_vector(5L);
								VECTOR_SET(BgL_v1087z00_1172, 0L, BINT(1L));
								VECTOR_SET(BgL_v1087z00_1172, 1L, BgL_varz00_17);
								VECTOR_SET(BgL_v1087z00_1172, 2L, BgL_addrz00_18);
								VECTOR_SET(BgL_v1087z00_1172, 3L, BFALSE);
								VECTOR_SET(BgL_v1087z00_1172, 4L, BFALSE);
								BgL_arg1207z00_1171 = BgL_v1087z00_1172;
							}
							return
								BGl_putpropz12z12zz__r4_symbols_6_4z00(BgL_varz00_17,
								BGl_symbol1650z00zz__evenvz00, BgL_arg1207z00_1171);
						}
				}
			}
		}

	}



/* &define-primop-ref/loc! */
	obj_t BGl_z62definezd2primopzd2refzf2locz12z82zz__evenvz00(obj_t
		BgL_envz00_1862, obj_t BgL_varz00_1863, obj_t BgL_addrz00_1864,
		obj_t BgL_fnamez00_1865, obj_t BgL_locationz00_1866)
	{
		{	/* Eval/evenv.scm 171 */
			{	/* Eval/evenv.scm 172 */
				obj_t BgL_auxz00_2092;

				if (SYMBOLP(BgL_varz00_1863))
					{	/* Eval/evenv.scm 172 */
						BgL_auxz00_2092 = BgL_varz00_1863;
					}
				else
					{
						obj_t BgL_auxz00_2095;

						BgL_auxz00_2095 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1647z00zz__evenvz00,
							BINT(7560L), BGl_string1660z00zz__evenvz00,
							BGl_string1649z00zz__evenvz00, BgL_varz00_1863);
						FAILURE(BgL_auxz00_2095, BFALSE, BFALSE);
					}
				return
					BGl_definezd2primopzd2refzf2locz12ze0zz__evenvz00(BgL_auxz00_2092,
					BgL_addrz00_1864, BgL_fnamez00_1865, BgL_locationz00_1866);
			}
		}

	}



/* eval-lookup */
	BGL_EXPORTED_DEF obj_t BGl_evalzd2lookupzd2zz__evenvz00(obj_t BgL_varz00_23)
	{
		{	/* Eval/evenv.scm 194 */
			{	/* Eval/evenv.scm 195 */
				obj_t BgL_propz00_1658;

				BgL_propz00_1658 =
					BGl_getpropz00zz__r4_symbols_6_4z00(BgL_varz00_23,
					BGl_symbol1655z00zz__evenvz00);
				if (CBOOL(BgL_propz00_1658))
					{	/* Eval/evenv.scm 196 */
						return BgL_propz00_1658;
					}
				else
					{	/* Eval/evenv.scm 198 */
						obj_t BgL_propz00_1659;

						BgL_propz00_1659 =
							BGl_getpropz00zz__r4_symbols_6_4z00(BgL_varz00_23,
							BGl_symbol1650z00zz__evenvz00);
						if (CBOOL(BgL_propz00_1659))
							{	/* Eval/evenv.scm 199 */
								return BgL_propz00_1659;
							}
						else
							{	/* Eval/evenv.scm 199 */
								return BFALSE;
							}
					}
			}
		}

	}



/* &eval-lookup */
	obj_t BGl_z62evalzd2lookupzb0zz__evenvz00(obj_t BgL_envz00_1867,
		obj_t BgL_varz00_1868)
	{
		{	/* Eval/evenv.scm 194 */
			{	/* Eval/evenv.scm 195 */
				obj_t BgL_auxz00_2106;

				if (SYMBOLP(BgL_varz00_1868))
					{	/* Eval/evenv.scm 195 */
						BgL_auxz00_2106 = BgL_varz00_1868;
					}
				else
					{
						obj_t BgL_auxz00_2109;

						BgL_auxz00_2109 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1647z00zz__evenvz00,
							BINT(8506L), BGl_string1661z00zz__evenvz00,
							BGl_string1649z00zz__evenvz00, BgL_varz00_1868);
						FAILURE(BgL_auxz00_2109, BFALSE, BFALSE);
					}
				return BGl_evalzd2lookupzd2zz__evenvz00(BgL_auxz00_2106);
			}
		}

	}



/* eval-global-tag */
	BGL_EXPORTED_DEF int BGl_evalzd2globalzd2tagz00zz__evenvz00(obj_t
		BgL_evalzd2globalzd2_24)
	{
		{	/* Eval/evenv.scm 206 */
			return CINT(VECTOR_REF(BgL_evalzd2globalzd2_24, 0L));
		}

	}



/* &eval-global-tag */
	obj_t BGl_z62evalzd2globalzd2tagz62zz__evenvz00(obj_t BgL_envz00_1869,
		obj_t BgL_evalzd2globalzd2_1870)
	{
		{	/* Eval/evenv.scm 206 */
			{	/* Eval/evenv.scm 207 */
				int BgL_tmpz00_2116;

				{	/* Eval/evenv.scm 207 */
					obj_t BgL_auxz00_2117;

					if (VECTORP(BgL_evalzd2globalzd2_1870))
						{	/* Eval/evenv.scm 207 */
							BgL_auxz00_2117 = BgL_evalzd2globalzd2_1870;
						}
					else
						{
							obj_t BgL_auxz00_2120;

							BgL_auxz00_2120 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1647z00zz__evenvz00,
								BINT(8914L), BGl_string1662z00zz__evenvz00,
								BGl_string1653z00zz__evenvz00, BgL_evalzd2globalzd2_1870);
							FAILURE(BgL_auxz00_2120, BFALSE, BFALSE);
						}
					BgL_tmpz00_2116 =
						BGl_evalzd2globalzd2tagz00zz__evenvz00(BgL_auxz00_2117);
				}
				return BINT(BgL_tmpz00_2116);
			}
		}

	}



/* eval-global-tag-set! */
	BGL_EXPORTED_DEF obj_t BGl_evalzd2globalzd2tagzd2setz12zc0zz__evenvz00(obj_t
		BgL_evalzd2globalzd2_25, int BgL_tagz00_26)
	{
		{	/* Eval/evenv.scm 212 */
			return VECTOR_SET(BgL_evalzd2globalzd2_25, 0L, BINT(BgL_tagz00_26));
		}

	}



/* &eval-global-tag-set! */
	obj_t BGl_z62evalzd2globalzd2tagzd2setz12za2zz__evenvz00(obj_t
		BgL_envz00_1871, obj_t BgL_evalzd2globalzd2_1872, obj_t BgL_tagz00_1873)
	{
		{	/* Eval/evenv.scm 212 */
			{	/* Eval/evenv.scm 213 */
				int BgL_auxz00_2135;
				obj_t BgL_auxz00_2128;

				{	/* Eval/evenv.scm 213 */
					obj_t BgL_tmpz00_2136;

					if (INTEGERP(BgL_tagz00_1873))
						{	/* Eval/evenv.scm 213 */
							BgL_tmpz00_2136 = BgL_tagz00_1873;
						}
					else
						{
							obj_t BgL_auxz00_2139;

							BgL_auxz00_2139 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1647z00zz__evenvz00,
								BINT(9225L), BGl_string1663z00zz__evenvz00,
								BGl_string1664z00zz__evenvz00, BgL_tagz00_1873);
							FAILURE(BgL_auxz00_2139, BFALSE, BFALSE);
						}
					BgL_auxz00_2135 = CINT(BgL_tmpz00_2136);
				}
				if (VECTORP(BgL_evalzd2globalzd2_1872))
					{	/* Eval/evenv.scm 213 */
						BgL_auxz00_2128 = BgL_evalzd2globalzd2_1872;
					}
				else
					{
						obj_t BgL_auxz00_2131;

						BgL_auxz00_2131 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1647z00zz__evenvz00,
							BINT(9225L), BGl_string1663z00zz__evenvz00,
							BGl_string1653z00zz__evenvz00, BgL_evalzd2globalzd2_1872);
						FAILURE(BgL_auxz00_2131, BFALSE, BFALSE);
					}
				return
					BGl_evalzd2globalzd2tagzd2setz12zc0zz__evenvz00(BgL_auxz00_2128,
					BgL_auxz00_2135);
			}
		}

	}



/* eval-global-name */
	BGL_EXPORTED_DEF obj_t BGl_evalzd2globalzd2namez00zz__evenvz00(obj_t
		BgL_evalzd2globalzd2_27)
	{
		{	/* Eval/evenv.scm 218 */
			return VECTOR_REF(BgL_evalzd2globalzd2_27, 1L);
		}

	}



/* &eval-global-name */
	obj_t BGl_z62evalzd2globalzd2namez62zz__evenvz00(obj_t BgL_envz00_1874,
		obj_t BgL_evalzd2globalzd2_1875)
	{
		{	/* Eval/evenv.scm 218 */
			{	/* Eval/evenv.scm 219 */
				obj_t BgL_auxz00_2146;

				if (VECTORP(BgL_evalzd2globalzd2_1875))
					{	/* Eval/evenv.scm 219 */
						BgL_auxz00_2146 = BgL_evalzd2globalzd2_1875;
					}
				else
					{
						obj_t BgL_auxz00_2149;

						BgL_auxz00_2149 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1647z00zz__evenvz00,
							BINT(9533L), BGl_string1665z00zz__evenvz00,
							BGl_string1653z00zz__evenvz00, BgL_evalzd2globalzd2_1875);
						FAILURE(BgL_auxz00_2149, BFALSE, BFALSE);
					}
				return BGl_evalzd2globalzd2namez00zz__evenvz00(BgL_auxz00_2146);
			}
		}

	}



/* eval-global-value */
	BGL_EXPORTED_DEF obj_t BGl_evalzd2globalzd2valuez00zz__evenvz00(obj_t
		BgL_evalzd2globalzd2_28)
	{
		{	/* Eval/evenv.scm 224 */
			return VECTOR_REF(BgL_evalzd2globalzd2_28, 2L);
		}

	}



/* &eval-global-value */
	obj_t BGl_z62evalzd2globalzd2valuez62zz__evenvz00(obj_t BgL_envz00_1876,
		obj_t BgL_evalzd2globalzd2_1877)
	{
		{	/* Eval/evenv.scm 224 */
			{	/* Eval/evenv.scm 225 */
				obj_t BgL_auxz00_2155;

				if (VECTORP(BgL_evalzd2globalzd2_1877))
					{	/* Eval/evenv.scm 225 */
						BgL_auxz00_2155 = BgL_evalzd2globalzd2_1877;
					}
				else
					{
						obj_t BgL_auxz00_2158;

						BgL_auxz00_2158 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1647z00zz__evenvz00,
							BINT(9837L), BGl_string1666z00zz__evenvz00,
							BGl_string1653z00zz__evenvz00, BgL_evalzd2globalzd2_1877);
						FAILURE(BgL_auxz00_2158, BFALSE, BFALSE);
					}
				return BGl_evalzd2globalzd2valuez00zz__evenvz00(BgL_auxz00_2155);
			}
		}

	}



/* set-eval-global-value! */
	BGL_EXPORTED_DEF obj_t BGl_setzd2evalzd2globalzd2valuez12zc0zz__evenvz00(obj_t
		BgL_evalzd2globalzd2_29, obj_t BgL_valuez00_30)
	{
		{	/* Eval/evenv.scm 230 */
			return VECTOR_SET(BgL_evalzd2globalzd2_29, 2L, BgL_valuez00_30);
		}

	}



/* &set-eval-global-value! */
	obj_t BGl_z62setzd2evalzd2globalzd2valuez12za2zz__evenvz00(obj_t
		BgL_envz00_1878, obj_t BgL_evalzd2globalzd2_1879, obj_t BgL_valuez00_1880)
	{
		{	/* Eval/evenv.scm 230 */
			{	/* Eval/evenv.scm 231 */
				obj_t BgL_auxz00_2164;

				if (VECTORP(BgL_evalzd2globalzd2_1879))
					{	/* Eval/evenv.scm 231 */
						BgL_auxz00_2164 = BgL_evalzd2globalzd2_1879;
					}
				else
					{
						obj_t BgL_auxz00_2167;

						BgL_auxz00_2167 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1647z00zz__evenvz00,
							BINT(10152L), BGl_string1667z00zz__evenvz00,
							BGl_string1653z00zz__evenvz00, BgL_evalzd2globalzd2_1879);
						FAILURE(BgL_auxz00_2167, BFALSE, BFALSE);
					}
				return
					BGl_setzd2evalzd2globalzd2valuez12zc0zz__evenvz00(BgL_auxz00_2164,
					BgL_valuez00_1880);
			}
		}

	}



/* eval-global-module */
	BGL_EXPORTED_DEF obj_t BGl_evalzd2globalzd2modulez00zz__evenvz00(obj_t
		BgL_evalzd2globalzd2_31)
	{
		{	/* Eval/evenv.scm 236 */
			return VECTOR_REF(((obj_t) BgL_evalzd2globalzd2_31), 3L);
		}

	}



/* &eval-global-module */
	obj_t BGl_z62evalzd2globalzd2modulez62zz__evenvz00(obj_t BgL_envz00_1881,
		obj_t BgL_evalzd2globalzd2_1882)
	{
		{	/* Eval/evenv.scm 236 */
			return
				BGl_evalzd2globalzd2modulez00zz__evenvz00(BgL_evalzd2globalzd2_1882);
		}

	}



/* eval-global-module-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_evalzd2globalzd2modulezd2setz12zc0zz__evenvz00(obj_t
		BgL_evalzd2globalzd2_32, obj_t BgL_mz00_33)
	{
		{	/* Eval/evenv.scm 242 */
			return VECTOR_SET(BgL_evalzd2globalzd2_32, 3L, BgL_mz00_33);
		}

	}



/* &eval-global-module-set! */
	obj_t BGl_z62evalzd2globalzd2modulezd2setz12za2zz__evenvz00(obj_t
		BgL_envz00_1883, obj_t BgL_evalzd2globalzd2_1884, obj_t BgL_mz00_1885)
	{
		{	/* Eval/evenv.scm 242 */
			{	/* Eval/evenv.scm 243 */
				obj_t BgL_auxz00_2176;

				if (VECTORP(BgL_evalzd2globalzd2_1884))
					{	/* Eval/evenv.scm 243 */
						BgL_auxz00_2176 = BgL_evalzd2globalzd2_1884;
					}
				else
					{
						obj_t BgL_auxz00_2179;

						BgL_auxz00_2179 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1647z00zz__evenvz00,
							BINT(10776L), BGl_string1668z00zz__evenvz00,
							BGl_string1653z00zz__evenvz00, BgL_evalzd2globalzd2_1884);
						FAILURE(BgL_auxz00_2179, BFALSE, BFALSE);
					}
				return
					BGl_evalzd2globalzd2modulezd2setz12zc0zz__evenvz00(BgL_auxz00_2176,
					BgL_mz00_1885);
			}
		}

	}



/* eval-global-loc */
	BGL_EXPORTED_DEF obj_t BGl_evalzd2globalzd2locz00zz__evenvz00(obj_t
		BgL_evalzd2globalzd2_34)
	{
		{	/* Eval/evenv.scm 248 */
			return VECTOR_REF(((obj_t) BgL_evalzd2globalzd2_34), 4L);
		}

	}



/* &eval-global-loc */
	obj_t BGl_z62evalzd2globalzd2locz62zz__evenvz00(obj_t BgL_envz00_1886,
		obj_t BgL_evalzd2globalzd2_1887)
	{
		{	/* Eval/evenv.scm 248 */
			return BGl_evalzd2globalzd2locz00zz__evenvz00(BgL_evalzd2globalzd2_1887);
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__evenvz00(void)
	{
		{	/* Eval/evenv.scm 14 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__evenvz00(void)
	{
		{	/* Eval/evenv.scm 14 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__evenvz00(void)
	{
		{	/* Eval/evenv.scm 14 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__evenvz00(void)
	{
		{	/* Eval/evenv.scm 14 */
			return
				BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(115192690L,
				BSTRING_TO_STRING(BGl_string1669z00zz__evenvz00));
		}

	}

#ifdef __cplusplus
}
#endif
